\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{ImagerieGC19}
              [20/12/2018 v1]

\LoadClass[11pt,a4paper]{article}

\RequirePackage[english,french]{babel}
\RequirePackage[utf8]{inputenc}
\RequirePackage[T1]{fontenc}
\RequirePackage[babel=true]{csquotes}

\RequirePackage{geometry}
\RequirePackage{graphicx}
\RequirePackage{amsfonts}
\RequirePackage{amsmath}
\RequirePackage{amssymb}
\RequirePackage{amsthm}
\RequirePackage{multirow}
\RequirePackage{multicol}
\RequirePackage{array}
\RequirePackage{tabularx}

% Fonte
\RequirePackage{times} % mathptmx, times

% Mise en page
\RequirePackage{anyfontsize}
\RequirePackage{setspace}
\geometry{left=2.5cm,right=2.5cm,top=3cm,bottom=3cm}
\setlength{\parindent}{0pt}
\setlength{\parskip}{5pt}
\singlespacing

% Titre section
\RequirePackage{titlesec}
\RequirePackage{textcase}
\titleformat*{\section}{\large\bf\MakeTextUppercase}
\titlespacing{\section}{0pt}{7pt}{-6pt}

% En-t�te
\RequirePackage{fancyhdr}
\pagestyle{fancy}
\fancyhf{}
\renewcommand\headrulewidth{0.5pt}
\fancyhead[L]{\textit{IMAGERIE GC 2019}}
\fancyhead[R]{\textit{Champs-sur-Marne, 4-5 avril 2019}}
\headheight=14.2pt

% L�gende Figure:
\RequirePackage{caption}
\DeclareCaptionLabelSeparator{colon}{ : }
\captionsetup[figure]{labelfont={bf},name={Figure},labelsep=colon,textfont={bf}}
\renewcommand{\captionfont}{\footnotesize}
\abovecaptionskip=6pt
\belowcaptionskip=-6pt

\endinput